Page MenuHomePhabricator

Disable PIC/PIE for MSP430 target
ClosedPublic

Authored by dmikushin on Jan 18 2019, 12:03 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

dmikushin created this revision.Jan 18 2019, 12:03 PM
grimar added a subscriber: grimar.Jan 19 2019, 10:15 AM

Can it be tested with a test case?

dmikushin updated this revision to Diff 183214.Jan 23 2019, 5:11 PM

Adding test case

asl accepted this revision.Jan 25 2019, 1:41 AM
This revision is now accepted and ready to land.Jan 25 2019, 1:41 AM
This revision was automatically updated to reflect the committed changes.
asl reopened this revision.Jan 25 2019, 2:37 AM

The patch was reverted – the test requires fully configured msp430 configuration and therefore was breaking the bots.

This revision is now accepted and ready to land.Jan 25 2019, 2:37 AM
asl requested changes to this revision.Jan 25 2019, 2:37 AM

Please make sure the test passes.

This revision now requires changes to proceed.Jan 25 2019, 2:37 AM

Unbreaking patch by providing an appropriate toolchain requirement

What I noticed, this seems to introduce the first test case in test\CodeGen\MSP430 folder which uses clang. All the others use llc. Is it OK?

grimar added a comment.EditedJan 30 2019, 2:05 AM

Oh sorry, I looked in the wrong folder, my previous comment was not correct.

So, this patch adds a test to test\CodeGen when we have test\CodeGen\MSP430 folder.
And test\CodeGen does not have any tests now at all.
So I guess the correct way would probably be:

  1. To move the test to test\CodeGen\MSP430 folder.
  2. To make it use 'llc`.

Ok, please ignore my comments above. I applied the patch and found it creates the test in llvm\tools\clang\test\CodeGen and not in llvm\test\CodeGen. Was confused by phab, sorry for the noise.

asl accepted this revision.Feb 12 2019, 12:44 PM
This revision is now accepted and ready to land.Feb 12 2019, 12:44 PM
Herald added a project: Restricted Project. · View Herald TranscriptFeb 12 2019, 12:44 PM
Herald added a subscriber: jdoerfert. · View Herald Transcript
Closed by commit rL353877: Disable PIC/PIE for MSP430 target (authored by asl, committed by ). · Explain WhyFeb 12 2019, 12:45 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptFeb 12 2019, 12:45 PM